## tuxbake-0.1.0.tar.gz

=== Makefile ===
all: typecheck test style flake8 pylint

export PROJECT := tuxbake
TUXPKG_MIN_COVERAGE := 76
TUXPKG_BLACK_OPTIONS := --exclude=tmp/
TUXPKG_MYPY_OPTIONS := --ignore-missing-imports # FIXME while tuxmake doesn't provide typing stubs
TUXPKG_FLAKE8_OPTIONS := --exclude=tmp/

include $(shell tuxpkg get-makefile)

pylint:
	pylint --disable=all --enable=elif,exceptions,stdlib,imports,variables,string,string_constant,logging,newstyle,classes --disable=C0411,C0412,E0401,C0413,E0611,E0202,R0201,R0401,W --enable=R1707,R1714,R1715,R1716,W0235,W0404,W0611,W1401,W1402,W1403,W1505 tuxbake/

rpm-sanity-check-prepare::
	printf '[tuxmake]\nname=tuxmake\ntype=rpm-md\nbaseurl=https://tuxmake.org/packages/\ngpgcheck=1\ngpgkey=https://tuxmake.org/packages/repodata/repomd.xml.key\nenabled=1\n' > /etc/yum.repos.d/tuxmake.repo

deb-sanity-check-prepare::
	apt-get update
	apt-get install -qy ca-certificates
	/usr/lib/apt/apt-helper download-file https://tuxmake.org/packages/signing-key.gpg /etc/apt/trusted.gpg.d/tuxmake.gpg
	echo 'deb https://tuxmake.org/packages/ ./' > /etc/apt/sources.list.d/tuxmake.list
	echo 'deb http://deb.debian.org/debian bullseye contrib' > /etc/apt/sources.list.d/contrib.list
	apt-get update

=== dockerfiles/Makefile ===
# variables
PROJECT_DIR := tuxbake
DATE = date +%Y%m%d
REPOSITORY := docker.io

##  docker commad to build containers with two different tags \
	tag - 1 = project-dir/container-dir:latest \
	tag - 2 = project-dir/container-dir:yyyymmdd \

list := centos-7 centos-8 \
       debian-jessie debian-stretch debian-buster debian-bullseye \
       fedora-33 fedora-34 \
       opensuse-leap-15.1 opensuse-leap-15.2 \
       ubuntu-16.04 ubuntu-18.04 ubuntu-20.04 ubuntu-22.04

help:
	@echo "Makefile arguments:"
	@echo ""
	@echo "list=$(list)"
	@echo "specify one target by add that to the list."
	@echo ""
	@echo ""
	@echo "Make commands:"
	@echo ""
	@echo "build"
	@echo "publish"
	@echo "all"
	@echo ""
	@echo "Example command:"
	@echo ""
	@echo "make all"
	@echo "make list=ubuntu-20.04 build"

.DEFAULT_GOAL := all

build:
	for os in $(list); do echo $$os ; docker build -t $(PROJECT_DIR)/$$os:latest -t $(PROJECT_DIR)/$$os:$$($(DATE)) $$os/. ; done

publish: build
	for os in $(list); do echo $$os ; docker push $(REPOSITORY)/$(PROJECT_DIR)/$$os ; done

all: build

=== debian/changelog ===
tuxbake (0.1.0-1) UNRELEASED; urgency=medium

  * Initial release

 -- Your Name <your.name@yourdomain.com>  Mon, 12 Dec 2022 20:48:34 -0000

=== debian/control ===
Source: tuxbake
Maintainer: Your Name <your.name@yourdomain.com>
Section: python
Priority: optional
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-python,
               flit,
               git,
               python3-all,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-mock,
               tuxmake,
               repo,
Standards-Version: 4.6.0.1
Homepage: FIXME

Package: tuxbake
Architecture: all
Depends: ${misc:Depends},
         python3 (>= 3.6),
         ${python3:Depends},
         tuxmake,
Recommends: repo
Description: <FIXME>
 <FIXME>

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = tuxbake

export PYBUILD_TEST_PYTEST = 1
export PYBUILD_TEST_ARGS = test/
export LC_ALL = C.UTF-8

# Support non-flit builds - requires setup.py to be present (which is the case
# in pypi release tarballs)
ifneq ($(shell pybuild --list-systems | grep flit),)
export PYBUILD_SYSTEM = flit
endif

%:
	dh $@ --with python3 --buildsystem=pybuild

# FIXME this should not be necessary with PYBUILD_TEST_PYTEST = 1 above
# but I can't get it to work for some reason.
override_dh_auto_test:
	for p in $$(py3versions --supported); do $$p -m pytest tests/; done
